Read extraction, publication and patient-record delivery status

​

Path Parameters

Responses

  • application/json
  • application/problem+json
  • application/problem+json
  • application/problem+json
  • application/problem+json
  • application/problem+json
Request Example for get/v1/documents/{documentId}/processing-status
curl 'https://api.dev.eno.health/v1/documents/{documentId}/processing-status' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "documentId": "string",
  "userId": "string",
  "documentStatus": "uploading",
  "attempt": 1,
  "extraction": {
    "status": "not_started",
    "updatedAt": null,
    "failureCode": null
  },
  "publication": {
    "status": "not_started",
    "updatedAt": null,
    "failureCode": null
  },
  "atlasDelivery": {
    "status": "not_started",
    "updatedAt": null,
    "failureCode": null
  },
  "availableInPatientRecord": true,
  "canProcess": true,
  "canRetry": true,
  "processingBlockReason": "",
  "failureAction": null
}
Partner API reference · Check your integration’s enabled capabilities before making requests.